[Qt] Replace QT_GCC_X as they don't exist in Qt5 anymore.
authoralexis.menard@openbossa.org <alexis.menard@openbossa.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Thu, 15 Sep 2011 04:33:16 +0000 (04:33 +0000)
committeralexis.menard@openbossa.org <alexis.menard@openbossa.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Thu, 15 Sep 2011 04:33:16 +0000 (04:33 +0000)
commit476dca2163eec6aa499f5619842c309f8b28dda4
tree08fd05b8687b2c35da63b32f900ca4097853db5a
parent4039969243e9e9312208e657a0d5acaf87dad2bd
[Qt] Replace QT_GCC_X as they don't exist in Qt5 anymore.
https://bugs.webkit.org/show_bug.cgi?id=68114

Reviewed by Kenneth Rohde Christiansen.

.:

Replace QT_GCC_X variables, they have been removed in Qt5. It was
actually wrong to use them because they tell about which GCC version
Qt has been compiled, not the current version of GCC use to build webkit.
I use gcc -dumpversion to get it.

* Source/WebKit.pri:

Source/JavaScriptCore:

Use the new GCC_X variables defined in WebKit.pri to replace
the usage of QT_GCC_X.

* JavaScriptCore.pro:

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@95163 268f45cc-cd09-0410-ab3c-d52691b4dbfc
ChangeLog
Source/JavaScriptCore/ChangeLog
Source/JavaScriptCore/JavaScriptCore.pro
Source/WebKit.pri